質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.46%
Emacs

GNU Emacsと拡張性の高い、高性能なテキストエディタです。豊富なライブラリの導入により、統合開発環境やWebブラウザとしても機能させる事が可能です。

バージョン管理

バージョン管理はコンピューター上にファイルとして格納されているドキュメント・プログラム・その他の情報の変更履歴等を管理するものです

Q&A

解決済

2回答

6316閲覧

Emacs elpaのパッケージアップデートができない

kokoa_spcgg

総合スコア20

Emacs

GNU Emacsと拡張性の高い、高性能なテキストエディタです。豊富なライブラリの導入により、統合開発環境やWebブラウザとしても機能させる事が可能です。

バージョン管理

バージョン管理はコンピューター上にファイルとして格納されているドキュメント・プログラム・その他の情報の変更履歴等を管理するものです

0グッド

0クリップ

投稿2021/07/10 12:40

編集2021/07/11 02:57

前提・実現したいこと

emacsでlist-package-listにてjedi-coreのバージョンアップをしたい。

発生している問題・エラーメッセージ

M-x package-refresh-contentsの後、list-package-listにてUをしたところ以下のようなメッセージがミニバッファにて現れました。

error in process sentinel error retrieving https //elpa.gnu.org/packages/archive-contents (error connection-failed "connect" :host "elpa.gnu.org" :service 443)

試したこと

init.elの

(require 'package) ;; You might already have this line (add-to-list 'package-archives '("melpa-stable" . "https://stable.melpa.org/packages/") t)

(require 'package) ;; You might already have this line (add-to-list 'package-archives '("melpa-stable" . "http://stable.melpa.org/packages/") t)

というようにhttpにしました。しかし状況は変わらず。

M-x customize-variable
package-archives
でhttpにしても変わりませんでした。

また、システム環境設定のファイアウォールにemacsのアプリを追加しましたが、こちらも効果は得られませんでした。

もし詳しい方がいらっしゃったらご教授よろしくお願いします。

補足情報(FW/ツールのバージョンなど)

gnu emacs 27.2
Mac OS bigsur 11.3
jedi-core 0.2.8

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答2

0

ベストアンサー

まさかの自分も会社で使用していて放ったらかしにしていたWindowsのEmacs環境で再現しました。

環境はバージョン25.3ぐらいから使っているWindows PCで
$HOME/.emacs.dの中身は
ずっと流用してパッケージのフォルダはバージョン毎に分けていて,バージョン27.2で
再現しました。

理由はおそらくelpaのパッケージの検証に使っている鍵の期限切れか,変更されたかが原因で,
$HOME/.emacs.d/elpa/gnupgのフォルダを削除してEmacsを起動して
パッケージを更新(このタイミングで自動でgnupg以下が再作成される)すればうまくいくと思います。

こちらでは以上の操作でうまくパッケージを更新できるようになりました。

投稿2021/07/15 09:42

ujimushi_sradjp

総合スコア2105

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

kokoa_spcgg

2021/08/16 07:53

ありがとうございます!解決できました。 やはりバージョンらへんでトラブっていたみたいです。 emacs周りの質問に丁寧に答えてくださりありがとうございました。
guest

0

エラーが出ているのは elpa.gnu.orghttps接続で,package-archives
元々登録されている方のサーバーへの接続でエラーが出ているようです。

さらにelpa.gnu.orgの認証局を見るとまさかのLet's Encryptで,
これを信頼しているルート証明書の鍵ファイルをemacsのリストgnutls-trustfilesの中に追加しないといけません。

linuxではさほど問題にならない(パッケージの更新で反映されるものが多い)のですが,Windowsの自分でビルドした版では自分で用意して(別にインストールしているmsys2かcygwinのもの)指定する必要がありました。(opensslのもの)

mac osでは信用済みの証明書ファイルがどこに置いてあるか分からないので,回答はここまでです。

エラーを回避するには,package-archiveselpa.gnu.orgのサーバーへの接続をhttpに変更するのが一番早いかもしれません。

投稿2021/07/11 16:38

ujimushi_sradjp

総合スコア2105

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

kokoa_spcgg

2021/07/15 05:03

細かい説明ありがとうございます! package-arcivesにてhttpsをhttpにしてみたのですが、変化がありませんでした。どこかの設定が悪さをしているのかもしれません。 今年度中にはパソコンを買い換えるので、その時にまた設定し直してみたいと思います。 ありがとうございました。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.46%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問